3

Magento has just removed all support to 1.* as it reached end of life. I need to create an tests environment like my client that uses 1.5.1. I understand that it is way too old but it is his choice to use old versions.

Anyone knows where can I get the patch to make Magento 1.5.1 work with PHP 5.4 ?

Thanks !

2 Answers 2

4

UPDATE Magento has removed the official links but there is a project on github where all releases of magento can be found.

The link is https://github.com/OpenMage/magento-mirror/releases

Currently the archives of Magento 1 are still available on Magento Tech Resources and you can download the archives in there.

enter image description here

The patch can be found on this URL as you can see in the image below:

enter image description here

7
  • Hey sure I have seen that but theses packages do not include the patches for PHP 5.4. Can you help me with the patch ? Commented Jul 8, 2020 at 18:28
  • 1
    not quite sure if there are patches for php 5.4 but the list of patches is there too i.imgur.com/I9oiZCR.png Commented Jul 9, 2020 at 9:25
  • 1
    also i saw the support for 5.4 is there i.imgur.com/ZSk1ew7.png Commented Jul 9, 2020 at 9:26
  • 1
    Great I will check that ! Thank you ! I will add this info to your response and give it a positive. Thanks !!! Commented Jul 9, 2020 at 15:24
  • 1
    Cool that's great !!! Thank you !! Commented Jul 23, 2020 at 21:52
4

Check github repo from OpenMage – https://github.com/OpenMage/magento-mirror/releases. It contain releases starting from 1.1.1 up to 1.9.4.5.

Security patches can be found in Magento patches mirror repository – https://github.com/akai-z/magento1-open-source-patches

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.